org.apache.activemq.artemis.selector.strict

## Interface StrictParserConstants

- All Known Implementing Classes:
    StrictParser, StrictParserTokenManager

      public interface StrictParserConstants

  Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AND` RegularExpression Id.
    `static int` | `BETWEEN` RegularExpression Id.
    `static int` | `BLOCK_COMMENT` RegularExpression Id.
    `static int` | `DECIMAL_LITERAL` RegularExpression Id.
    `static int` | `DEFAULT` Lexical state.
    `static int` | `EOF` End of File.
    `static int` | `ESCAPE` RegularExpression Id.
    `static int` | `EXPONENT` RegularExpression Id.
    `static int` | `FALSE` RegularExpression Id.
    `static int` | `FLOATING_POINT_LITERAL` RegularExpression Id.
    `static int` | `HEX_LITERAL` RegularExpression Id.
    `static int` | `ID` RegularExpression Id.
    `static int` | `IN` RegularExpression Id.
    `static int` | `IS` RegularExpression Id.
    `static int` | `LIKE` RegularExpression Id.
    `static int` | `LINE_COMMENT` RegularExpression Id.
    `static int` | `NOT` RegularExpression Id.
    `static int` | `NULL` RegularExpression Id.
    `static int` | `OCTAL_LITERAL` RegularExpression Id.
    `static int` | `OR` RegularExpression Id.
    `static int` | `QUOTED_ID` RegularExpression Id.
    `static int` | `STRING_LITERAL` RegularExpression Id.
    `static String[]` | `tokenImage` Literal token values.
    `static int` | `TRUE` RegularExpression Id.
    `static int` | `XPATH` RegularExpression Id.
    `static int` | `XQUERY` RegularExpression Id.

- - ### Field Detail

    - #### EOF

          static final int EOF

      End of File.
      See Also:
        Constant Field Values

    - #### LINE_COMMENT

          static final int LINE_COMMENT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BLOCK_COMMENT

          static final int BLOCK_COMMENT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NOT

          static final int NOT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### AND

          static final int AND

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### OR

          static final int OR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BETWEEN

          static final int BETWEEN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LIKE

          static final int LIKE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ESCAPE

          static final int ESCAPE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### IN

          static final int IN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### IS

          static final int IS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### TRUE

          static final int TRUE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### FALSE

          static final int FALSE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NULL

          static final int NULL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### XPATH

          static final int XPATH

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### XQUERY

          static final int XQUERY

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DECIMAL_LITERAL

          static final int DECIMAL_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### HEX_LITERAL

          static final int HEX_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### OCTAL_LITERAL

          static final int OCTAL_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### FLOATING_POINT_LITERAL

          static final int FLOATING_POINT_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### EXPONENT

          static final int EXPONENT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STRING_LITERAL

          static final int STRING_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ID

          static final int ID

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### QUOTED_ID

          static final int QUOTED_ID

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DEFAULT

          static final int DEFAULT

      Lexical state.
      See Also:
        Constant Field Values

    - #### tokenImage

          static final String[] tokenImage

      Literal token values.

Copyright © 2020 The Apache Software Foundation. All rights reserved.